OpenVDB: TreeAdapter< Grid< _TreeType > > Struct Template Reference

OpenVDB 3.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
TreeAdapter< Grid< _TreeType > > Struct Template Reference

Partial specialization for Grid types. More...

`#include <Grid.h>`

## Public Types
typedef _TreeType | TreeType
typedef boost::remove_const< TreeType >::type | NonConstTreeType
typedef TreeType::Ptr | TreePtrType
typedef TreeType::ConstPtr | ConstTreePtrType
typedef NonConstTreeType::Ptr | NonConstTreePtrType
typedef Grid< TreeType > | GridType
typedef Grid< NonConstTreeType > | NonConstGridType
typedef GridType::Ptr | GridPtrType
typedef NonConstGridType::Ptr | NonConstGridPtrType
typedef GridType::ConstPtr | ConstGridPtrType
typedef TreeType::ValueType | ValueType
typedef tree::ValueAccessor< TreeType > | AccessorType
typedef tree::ValueAccessor< const TreeType > | ConstAccessorType
typedef tree::ValueAccessor< NonConstTreeType > | NonConstAccessorType

## Static Public Member Functions
static TreeType & | tree (TreeType &t)
static TreeType & | tree (GridType &g)
static const TreeType & | tree (const TreeType &t)
static const TreeType & | tree (const GridType &g)
static const TreeType & | constTree (TreeType &t)
static const TreeType & | constTree (GridType &g)
static const TreeType & | constTree (const TreeType &t)
static const TreeType & | constTree (const GridType &g)

## Detailed Description

### template<typename _TreeType>
struct openvdb::v3_1_0::TreeAdapter< Grid< _TreeType > >

Partial specialization for Grid types.

## Member Typedef Documentation

typedef tree::ValueAccessor<TreeType> AccessorType

typedef tree::ValueAccessor<const TreeType> ConstAccessorType

typedef GridType::ConstPtr ConstGridPtrType

typedef TreeType::ConstPtr ConstTreePtrType

typedef GridType::Ptr GridPtrType

typedef Grid<TreeType> GridType

typedef tree::ValueAccessor<NonConstTreeType> NonConstAccessorType

typedef NonConstGridType::Ptr NonConstGridPtrType

typedef Grid<NonConstTreeType> NonConstGridType

typedef NonConstTreeType::Ptr NonConstTreePtrType

typedef boost::remove_const<TreeType>::type NonConstTreeType

typedef TreeType::Ptr TreePtrType

typedef _TreeType TreeType

typedef TreeType::ValueType ValueType

## Member Function Documentation

static const TreeType& constTree | ( | TreeType & | t | ) |
| inlinestatic

static const TreeType& constTree | ( | GridType & | g | ) |
| inlinestatic

static const TreeType& constTree | ( | const TreeType & | t | ) |
| inlinestatic

static const TreeType& constTree | ( | const GridType & | g | ) |
| inlinestatic

static TreeType& tree | ( | TreeType & | t | ) |
| inlinestatic

static TreeType& tree | ( | GridType & | g | ) |
| inlinestatic

static const TreeType& tree | ( | const TreeType & | t | ) |
| inlinestatic

static const TreeType& tree | ( | const GridType & | g | ) |
| inlinestatic

The documentation for this struct was generated from the following file:

- Grid.h